import { createApp } from 'vue';

/**
 * 完整引入 arco-design
 * @see https://arco.design/vue/docs/start#%E5%AE%8C%E6%95%B4%E5%BC%95%E5%85%A5
 */
import ArcoVue from '@arco-design/web-vue';
import '@arco-design/web-vue/dist/arco.css';
import ArcoVueIcon from '@arco-design/web-vue/es/icon';

import './index.css';

import { createPinia } from 'pinia';

import App from './App.vue';

import router from './router'; // 路由
const pinia = createPinia();
const app = createApp(App);
app.use(pinia);
app.use(ArcoVue);
app.use(ArcoVueIcon);
app.use(router);
app.mount('#app');
